package fr.openium.consentium_ui.data.remote

import fr.openium.consentium_ui.data.remote.model.GetConsentConfigDTO
import retrofit2.Response
import retrofit2.http.GET
import retrofit2.http.Header
import retrofit2.http.Path

internal interface ConsentiumUIApi {

    @GET("applications/{application}")
    suspend fun getConsentConfig(
        @Header("Authorization") token: String,
        @Path("application") applicationId: String,
    ): Response<GetConsentConfigDTO>

}