package fr.openium.consentium.api.adapter

import fr.openium.consentium.api.model.Purpose
import fr.openium.consentium.data.remote.model.GetConsent

internal fun GetConsent.PurposeDTO.toPurpose() = Purpose(
    identifier = identifier,
    choice = choice.toPurposeStatus(),
    vendors = vendors?.map { it.toVendor() } ?: emptyList(),
)
